summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Armak <danarmak@gentoo.org>2002-01-10 19:57:41 +0000
committerDan Armak <danarmak@gentoo.org>2002-01-10 19:57:41 +0000
commit3a63e8d2d107b1778cc6770ee22409ec7121f6ca (patch)
tree24915083cdf357397b0ff6ae70f7e2af290c416f /eclass/kde.eclass
parentadd digest (diff)
downloadhistorical-3a63e8d2d107b1778cc6770ee22409ec7121f6ca.tar.gz
historical-3a63e8d2d107b1778cc6770ee22409ec7121f6ca.tar.bz2
historical-3a63e8d2d107b1778cc6770ee22409ec7121f6ca.zip
added a ||die description
Diffstat (limited to 'eclass/kde.eclass')
-rw-r--r--eclass/kde.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/kde.eclass b/eclass/kde.eclass
index dbfd943ff177..d5200393a3c2 100644
--- a/eclass/kde.eclass
+++ b/eclass/kde.eclass
@@ -1,7 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.33 2002/01/09 19:13:23 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.34 2002/01/10 19:57:41 danarmak Exp $
# The kde eclass is inherited by all kde-* eclasses. Few ebuilds inherit straight from here.
inherit autoconf base
ECLASS=kde
@@ -42,9 +42,9 @@ kde_src_compile() {
break
fi
done
- [ -f "./configure" ] || die
+ [ -f "./configure" ] || die "no configure script found, generation unsuccessful"
fi
-
+
export PATH="${KDEDIR}/bin:${PATH}"
./configure ${myconf} || die
;;